2

i followed this link to install python plugin for kate.

in first step it said: "install kate from source. but i couldn't install it from source.(because installing it from source needs qt5(i think) and when i run this line i get dependency error: sudo apt-get build-dep qtbase5-dev). after lots of tries couldn't solve that error".

so i skipped this step and installed kate with apt.

in third step i followed this steps:

cd ~/build
git clone https://github.com/goinnn/Kate-plugins
ln -s ~/build/Kate-plugins/kate_plugins/ $(kde4-config --localprefix)/share/apps/kate/pate

since in apps folder under share directory there wasn't kate folder i created kate and then pate folder under kate.

now when i go to Setting->Configure Kate->Apllications->Plugins don't see any python option.

my os: kubuntu 17.04 with KDE Plasma 5.9.4

my kate version: 16.12.03

also i tested solutions is this sites but neither did helped me:

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.